/*! \file test.cc
 */

/* Default struct.
 */
struct Default
{};

/*! Complicated class with some template parameters.
 */
template <typename A, typename B, typename C = Default>
class ComplicatedTemplatedClass
{};

/* Custom struct.
 */
struct Custom
{};

/*! Simple typedef.
 */
typedef ComplicatedTemplatedClass<int, double, Custom> Simple;

/*! My simple func.
 *
 * I would like to have `Simple' in parameter list linked to documentation of
 * ::Simple typedef, not to ComplicatedTemplatedClass.
 */
void my_simple_func(Simple my_simple);
